/*
RAWR - Preview Box

 (c) 2007-2008, RAWR Designs, Some Rights Reserved -
	Christopher "That Stevens Guy" Stevens
	Richard "Giant Eagle" Tuininga
 (CC) http://creativecommons.org/licenses/by-nc-sa/3.0/

 Any queries? -
	Email: contact[at]rawr-designs.com
	Forum: http://www.rejetto.com/forum/index.php?board=34.0
 	Homepage: http://rawr-designs.com/
*/
var disable	= false;
var boxOpen	= null;
var ext;
/* Initialise preview box. */
function initPreviewBox(target,file) {
	ext = file.substring(file.lastIndexOf("."),file.length);
	ext = ext.toLowerCase();
    if (disable == false) {
        disable = true;
        setTimeout("disable=false;", 350);
		if(target != boxOpen) {
			if(boxOpen!=null) boxFade(boxOpen,"out");
			if(ext.match(".jpg|.jpeg|.png|.bmp|.tif|.tiff")) spawnIMGBox(target,file);
			else if(ext.match(".flv|.mp3")) spawnRAWRBox(target,file);
			else if(ext=="search") spawnSEARCHBox(target,file);
		} else {
			boxFade(boxOpen,"out");
		}
    }
}
/* Spawn 'Loading' box. */
function spawnBox(target,width,height) {
	gEBI(target).innerHTML = "<div class=Box style='width:"+(width+10)+"px;z-index:75;position:absolute' id="+target+"Box><div class=pBx style='width:"+(width-4)+"px;cursor:move;padding:0 4px 0 8px;letter-spacing:0;border-bottom:0;height:30px;line-height:30px;text-align:left'><a href='javascript:void(0)' onclick='boxFade(\""+target+"\",\"out\")' style='float:right'>X</a><span id="+target+"Name>"+lv_loading+"</span></div><div class=pBx1 style='width:"+width+"px;height:"+height+"px;padding:4px' id="+target+"Content></div></div>";
	Box = gEBI(target+"Box");
	Box.style.left = Box.offsetLeft-500+(480-Box.offsetWidth)+"px";
	Box.style.top = Box.offsetTop-(Box.offsetHeight+46)/2+"px";
	boxFade(target,"in");
	document.onmousedown = startDrag;
}
/* Spawn Search box. */
function spawnSEARCHBox(target,file) {
	spawnBox(target,300,62);
	setTimeout("setSEARCHBox(\""+target+"\",\""+file+"\");",300);
}
function setSEARCHBox(target,file) {
	gEBI(target+"Box").firstChild.style.cursor="default";
	document.onmousedown = null;
	setName(lv_advSearch);
	gEBI(target+"Content").innerHTML = "<form name=searchForm method=get action=\"javascript:searchQuery()\" style=\"margin:0;font-size:11px\"><input type=text name=query size=29 maxlength=32 value=\""+document.simpleSearch.search.value+"\" onclick=\"if(this.value=='"+document.simpleSearch.search.value+"')this.value=''\" class=\"formInput\"/> <input type=submit name=searchBtn value="+lv_search+" /><br><input type=radio name=choice value=\"file\"/> "+lv_files+"<input type=radio name=choice value=\"folder\"/> "+lv_folders+"<input type=radio name=choice value=\"both\" checked=1/> "+lv_both+"<input type=checkbox name=recursive checked=1/> "+lv_recursive+"<br><input type=radio name=root value=\"root\" checked=1/> "+lv_root+"<input type=radio name=root value=\"current\"/> "+lv_current+"</form>";
	gEBI(target+"Content").style.background="transparent";
}
/* Spawn Image box. */
function spawnIMGBox(target,file) {
	img = new Image();
	img.src = "previews_and_thumbnails/prev-"+file.substring(file.lastIndexOf("/")+1,file.length)+".jpg";
	if(img.complete) {
		spawnBox(target,img.width,img.height);
		setIMGBox(target,file,"setImmediatly");
	} else {
		setTimeout("setIMGBox(\""+target+"\",\""+file+"\",\"none\");",10);
	}
}
function setIMGBox(target,file,status) {
	if(img.width!=0) {
		if(status == "none") {
			spawnBox(target,img.width,img.height);
			status = "boxLoaded";
		}
		if(status == "boxLoaded") {
			setTimeout("setIMGBox(\""+target+"\",\""+file+"\",\"setImage\");",325);
		} else if(status == "setImage") {
			if(img.complete) {
				gEBI(target+"Content").innerHTML = "<img src=\""+img.src+"\" id="+target+"ImageBox/>";
				setName(file);
				img = null;
			} else {
				setTimeout("setIMGBox(\""+target+"\",\""+file+"\",\"setImage\");",200);
			}
		} else if(status == "setImmediatly") {
			gEBI(target+"Content").innerHTML = "<img src=\""+img.src+"\"/>";
			setName(file);
			img = null;
		}
	} else {
		setTimeout("setIMGBox(\""+target+"\",\""+file+"\",\"none\");",50);
	}
}
/* Spawn RAWR box. */
var volume = 50;
var height, width, aspect;
var playmethod = "single";
var context	= "on";
function spawnRAWRBox(target,file) {
	height = ext==".flv"?270:50;
	width = ext==".flv"&&aspect=="wide"?480:320;
	spawnBox(target,width,height);
	setTimeout("setRAWRBox(\""+target+"\",\""+file+"\");",300);
}
function setRAWRBox(target,file) {
	setName(file);
	file = file.replace('+','%2B').replace('&','%26');
	volume = getCookie('Volume') ? getCookie('Volume') : volume;
	playmethod = getCookie('Method') ? getCookie('Method') : "single";
	if(mod_folder_tasks=="off"&&mod_statistics=="off"&&mod_shoutbox=="off") context = "off";
	gEBI(target+"Content").innerHTML = "<embed allowscriptaccess=always src='/template/players/rawr_player.swf' width="+width+" height="+height+" type='application/x-shockwave-flash' flashvars=\"colorset=tog&volume="+volume+"&playmethod="+playmethod+"&autostart=true&context="+context+"&file="+file+"\"/>";
}
/* Fade function. */
var method;
function boxFade(target,method) {
	id=gEBI(target+"Box");
	if(method=="in") {
		boxOpen=target;
		gEBI(id.id).style.display='';
	} else if(method=="out") {
		if(gEBI(target+"Content").innerHTML.substr(1,3)!="img") gEBI(target+"Content").innerHTML="";
		if(boxOpen==target) boxOpen=null;
		gEBI(id.id).style.display='none';
	}
}
/* Crop file name if necessary. */
function setName(file) {
	name = decodeURI(file.substring(file.lastIndexOf("/")+1,file.lastIndexOf(".")));
	gEBI(boxOpen+"Name","inn",name+ext);
	while (gEBI(boxOpen+"Box").offsetWidth-50 < gEBI(boxOpen+"Name").offsetWidth ||gEBI(boxOpen+"Name").offsetHeight >31) {
		name = name.substring(0,name.length-4)+".. ";
		gEBI(boxOpen+"Name","inn",name+ext);
	}
}
/* Drag. */
var sObj = null;
var drgOK = false;
var dX=dY=sX=sY	= 0;
function startDrag(e) {
	if(e==null)e=window.event;
	var t=e.target!=null?e.target:e.srcElement;
	try {
		if(t.parentNode.className=="Box"||t.parentNode.parentNode.className=="Box"||t.parentNode.parentNode.parentNode.className=="Box") {
			sObj = t.parentNode.parentNode.parentNode.className=="Box"?t.parentNode.parentNode.parentNode:t.parentNode.parentNode.className=="Box"?t.parentNode.parentNode:t.parentNode;
			drgOK = true;
			dX = e.clientX-parseInt(sObj.style.left);
			dY = e.clientY-parseInt(sObj.style.top);
			sX = document.documentElement.scrollLeft;
			sY = document.documentElement.scrollTop;
			gEBI(boxOpen).style.cursor = 'move';
			document.onmousemove = drag;
			document.onmouseup = endDrag;
			return false;
		}
	} catch(e) {}
}
function drag(e) {
	if(e==null)e=window.event;
	if(e.button <= 1 && drgOK) {
		sObj.style.left = e.clientX-dX+(document.documentElement.scrollLeft-sX)+'px';
		sObj.style.top = e.clientY-dY+(document.documentElement.scrollTop-sY)+'px';
		return false;
	}
}
function endDrag(e) {
	gEBI(boxOpen).style.cursor = "default";
	document.onmousemove = document.onmouseup = null;
	drgOK = false;
}
/* RAWR-Player flash interface. */
function playerVolume(volume) {
	setCookie('Volume',volume,exp);
}
function playbackMethod(playmethod) {
	setCookie('Method',playmethod,exp);
}